shibsp::MetadataProviderCriteria Struct Reference

Extended criteria for metadata lookup for Shibboleth-aware metadata providers. More...

`#include <shibsp/metadata/MetadataProviderCriteria.h>`

Inheritance diagram for shibsp::MetadataProviderCriteria:
[legend]
Collaboration diagram for shibsp::MetadataProviderCriteria:
[legend]

## Public Member Functions

| MetadataProviderCriteria (const Application &app)
| Constructor.
| MetadataProviderCriteria (const Application &app, const XMLCh *id, const xmltooling::QName *q=nullptr, const XMLCh *prot=nullptr, bool valid=true)
| Constructor.
| MetadataProviderCriteria (const Application &app, const char *id, const xmltooling::QName *q=nullptr, const XMLCh *prot=nullptr, bool valid=true)
| Constructor.
| MetadataProviderCriteria (const Application &app, const opensaml::SAMLArtifact *a, const xmltooling::QName *q=nullptr, const XMLCh *prot=nullptr, bool valid=true)
| Constructor.

## Public Attributes

const Application & | application
| The application performing the lookup.

## Detailed Description

Extended criteria for metadata lookup for Shibboleth-aware metadata providers.

## Constructor & Destructor Documentation

## MetadataProviderCriteria() [1/4]

shibsp::MetadataProviderCriteria::MetadataProviderCriteria | ( | const Application & | app | ) |

Constructor.

Parameters

  app | application performing the lookup

## MetadataProviderCriteria() [2/4]

shibsp::MetadataProviderCriteria::MetadataProviderCriteria | ( | const Application & | app,
|  | const XMLCh * | id,
|  | const xmltooling::QName * | q = nullptr,
|  | const XMLCh * | prot = nullptr,
|  | bool | valid = true )

Constructor.

Parameters

  app | application performing the lookup
  id | entityID to lookup
  q | element/type of role, if any
  prot | protocol support constant, if any
  valid | true iff stale metadata should be ignored

## MetadataProviderCriteria() [3/4]

shibsp::MetadataProviderCriteria::MetadataProviderCriteria | ( | const Application & | app,
|  | const char * | id,
|  | const xmltooling::QName * | q = nullptr,
|  | const XMLCh * | prot = nullptr,
|  | bool | valid = true )

Constructor.

Parameters

  app | application performing the lookup
  id | entityID to lookup
  q | element/type of role, if any
  prot | protocol support constant, if any
  valid | true iff stale metadata should be ignored

## MetadataProviderCriteria() [4/4]

shibsp::MetadataProviderCriteria::MetadataProviderCriteria | ( | const Application & | app,
|  | const opensaml::SAMLArtifact * | a,
|  | const xmltooling::QName * | q = nullptr,
|  | const XMLCh * | prot = nullptr,
|  | bool | valid = true )

Constructor.

Parameters

  app | application performing the lookup
  a | artifact to lookup
  q | element/type of role, if any
  prot | protocol support constant, if any
  valid | true iff stale metadata should be ignored

The documentation for this struct was generated from the following file:

- shibsp/metadata/MetadataProviderCriteria.h